Page MenuHomePhabricator

Creating a link after scrolling moves text in VE edit window unpredictably
Closed, ResolvedPublic

Description

  1. Edit a long article with VE, such as https://en.wikipedia.org/wiki/Evolution_of_insects?veaction=edit
  1. Scroll down a screenful, let's say so that the section header "Fossils" is visible at the top of the editing window.
  1. Double-click on a word near the top of the editing window, let's say the word "wings" in the first line of the "Fossils" section
  1. Hit Ctrl-K in order to create a link.

Result: Visual Editor will scroll the text spuriously, which is unnecessary and irritating.

I'm using Chrome 41 on Windows 7.

Event Timeline

AxelBoldt raised the priority of this task from to Needs Triage.
AxelBoldt updated the task description. (Show Details)
AxelBoldt added a project: VisualEditor.
AxelBoldt added a subscriber: AxelBoldt.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2015, 10:25 PM
TheDJ added a subscriber: TheDJ.Apr 10 2015, 11:28 AM

I was able to confirm this in my Safari. Interestingly enough, it only does it the very first time.

TheDJ set Security to None.

If you close the first link inspector window, scroll down another screenful, and create a new link, the spurious scrolling will happen again. The effect is bigger if your new link is near the top of the edit window.

It's confirmed in Chrome/FF(Mac) production and 1.26wmf1 (4a3d85d).

I also noticed that spurious scroll up during one of the User research sessions( in betalabs).

Yes, it happens only once in one place - trying to insert link for the same word multiple times will give scroll-up effect only once. But if you move to another section of the page, it happens again - that scrolling up moves the page so far up that the inserted link is not visible anymore.

Etonkovidova triaged this task as Normal priority.Apr 10 2015, 5:57 PM
AxelBoldt renamed this task from Spurious scrolling when creating links at the top of the screen in long articles to Creating a link after scrolling moves text in VE edit window unpredictably.Apr 10 2015, 6:17 PM

The issue is still reproducible in beta.

I cannot reproduce the issue anymore with the current version of VE installed on Wikipedia [0.1.0 (685e7ff) 12:17, 8 April 2015].

AxelBoldt closed this task as Resolved.Apr 16 2015, 5:41 PM
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 17 2015, 11:50 PM